#include <SoftwareSerial.h>

int rx = 1;    //Declares the RX 1 pin 3
int tx = 2;    //Declares the TX 2 pin 4

SoftwareSerial mySerial(rx, tx);  //Setting up the RX/TX pins as a SoftwareSerial

char buttonState = '1';//Declares the character that represents the virtual button current state
char lastButtonState = '0'; //Declares the character that represents the virtual button last state

int ledPin = 3;     //Declares the pin where the indicator LED is already attached
int motorPin = 0;   //Declares the pin where the indicator Motor controller is already attached

void setup(){
  mySerial.begin(9600);       //Start the serial communication and select the its speed that deppends of the frequency that it will be program the attiny

  pinMode(ledPin, OUTPUT);      //Configures the LED pin as an output
  pinMode(motorPin, OUTPUT);    //Configures the Motor pin as an output
}

void loop() {

  buttonState = mySerial.read();    //Reads the message a "1" or a "0" from the command line      

  if (buttonState != lastButtonState) {   //Checks if there exist a change in the virtual button state

    if (buttonState == '1') {         // Condition For Motor ON

      mySerial.println("LED IS ON \r");         //Prints in the screen the actual state
      digitalWrite(ledPin, HIGH);     //Turns ON the indicator LED  
      analogWrite(motorPin, 100);     //Turns ON the motor with 39.2% of the potency


    }
    else if (buttonState == '0'){      // Condition For Motor OFF

      mySerial.println("LED IS OFF \r");         //Prints in the screen the actual state
      digitalWrite(ledPin, LOW);       //Turns OFF the indicator LED
      analogWrite(motorPin, 0);        //Turns OFF the motor
    }

    delay(50);
  }

  lastButtonState = buttonState;        //Sets the current state as a last state

}
